import type { CreateSchemaOperationOptions, DidOperationOptions } from './ledger';
import { AgentContext } from '@aries-framework/core';
import { PolygonLedgerService } from './ledger';
export declare class PolygonApi {
    private agentContext;
    private ledgerService;
    constructor(agentContext: AgentContext, ledgerService: PolygonLedgerService);
    createSchema({ did, schemaName, schema }: {
        did: string;
        schemaName: string;
        schema: object;
    }): Promise<{
        did: string;
        schemaId: string;
        txnReceipt: {
            schemaTxnReceipt: {
                txnHash: any;
                to: any;
                from: any;
                nonce: any;
                gasLimit: any;
                chainId: any;
            };
            resourceTxnReceipt: {
                txnHash: any;
                to: any;
                from: any;
                nonce: any;
                gasLimit: any;
                chainId: any;
            };
        };
        tnxSchemaId?: undefined;
        schemaState?: undefined;
    } | {
        tnxSchemaId: string;
        schemaState: {
            state: string;
            reason: string;
        };
        did?: undefined;
        schemaId?: undefined;
        txnReceipt?: undefined;
    }>;
    getSchemaById(did: string, schemaId: string): Promise<any>;
    estimateFeeForDidOperation(options: DidOperationOptions): Promise<import("@ayanworks/polygon-did-registrar/build/registrar").EstimatedTxDetails | null | undefined>;
    estimateFeeForSchemaOperation(options: CreateSchemaOperationOptions): Promise<{} | undefined>;
}
